persistent-2.6.1: Type-safe, multi-backend data serialization.

Safe Haskell | None
Language | Haskell98

Database.Persist.Quasi

Synopsis

- parse :: PersistSettings -> Text -> [EntityDef]
- data PersistSettings = PersistSettings {
  - psToDBName :: !(Text -> Text)
  - psStrictFields :: !Bool
  - psIdName :: !Text
  }
- upperCaseSettings :: PersistSettings
- lowerCaseSettings :: PersistSettings
- nullable :: [Text] -> IsNullable

# Documentation

parse :: PersistSettings -> Text -> [EntityDef] #

Parses a quasi-quoted syntax into a list of entity definitions.

data PersistSettings #

Constructors

PersistSettings |
Fields psToDBName :: !(Text -> Text) psStrictFields :: !Bool Whether fields are by default strict. Default value: `True`. Since 1.2 psIdName :: !Text The name of the id column. Default value: `id` The name of the id column can also be changed on a per-model basis https://github.com/yesodweb/persistent/wiki/Persistent-entity-syntax Since 2.0

upperCaseSettings :: PersistSettings #

lowerCaseSettings :: PersistSettings #

nullable :: [Text] -> IsNullable #